Page MenuHomePhabricator

[mediawiki/skins/Tempo] resources/tempo.css : Stylesheets should not both specify "media" and contain @media
Closed, ResolvedPublic

Description

1) ResourcesTest::testStyleMedia with data set #16 ('skins.tempo', 'screen', 'resources/tempo.css', stdClass Object (...))
Stylesheets should not both specify "media" and contain @media
Failed asserting that false is true.
skin.json
{
    "ResourceModules": {
        "skins.tempo": {
            "styles": {
                "resources/tempo.css": {
                    "media": "screen"
                },
                "resources/normalize.css": {
                    "media": "screen"
                }
            }
        }
    }
}
resources/tempo.css
@media screen and (max-width: 1157px) {
    #topSearch {
        width: 30%;
    }
    #searchInput {
        width: 75%;
    }
}

@media screen and (max-width: 940px) {
    #top > #topnav > .userlinks-wrapper {
        width: 300px;
    }
    #topSearch {
        width: 40%;
    }
    #searchInput {
        width: 65%;
    }
}

Details

Related Gerrit Patches:
mediawiki/skins/Tempo : masterMove @media rules to specific files
integration/config : masterMigrate Splash, Tempo, Truglass to Quibble

Event Timeline

hashar created this task.Apr 30 2018, 3:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2018, 3:21 PM
Vvjjkkii renamed this task from [mediawiki/skins/Tempo] resources/tempo.css : Stylesheets should not both specify "media" and contain @media to zydaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from zydaaaaaaa to [mediawiki/skins/Tempo] resources/tempo.css : Stylesheets should not both specify "media" and contain @media.Jul 1 2018, 2:20 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:49 AM
hashar updated the task description. (Show Details)Jul 10 2018, 8:45 AM

Change 444823 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/skins/Tempo@master] Move @media rules to specific files

https://gerrit.wikimedia.org/r/444823

hashar claimed this task.Jul 10 2018, 9:31 AM

Change 444831 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate Splash, Tempo, Truglass to Quibble

https://gerrit.wikimedia.org/r/444831

Change 444831 merged by jenkins-bot:
[integration/config@master] Migrate Splash, Tempo, Truglass to Quibble

https://gerrit.wikimedia.org/r/444831

Change 444823 merged by jenkins-bot:
[mediawiki/skins/Tempo@master] Move @media rules to specific files

https://gerrit.wikimedia.org/r/444823

hashar closed this task as Resolved.Jul 10 2018, 5:02 PM